<?php


namespace App\Model\Facades;


use App\Model\Facades\Readers\LanguageReader;
use App\Model\Facades\Readers\TranslationReader;
use App\Model\Facades\Writers\LanguageWriter;
use App\Model\Facades\Writers\TranslationWriter;

class TranslatorFacade extends BaseFacade
{

    /** @var TranslationReader */
    protected $translationReader;
    /** @var TranslationWriter */
    protected $translationWriter;

    /** @var LanguageReader */
    protected $languageReader;
    /** @var LanguageWriter */
    protected $languageWriter;

    public function __construct(TranslationReader $translationReader, TranslationWriter $translationWriter,
                                LanguageReader $languageReader, LanguageWriter $languageWriter)
    {
        $this->translationReader = $translationReader;
        $this->translationWriter = $translationWriter;

        $this->languageReader = $languageReader;
        $this->languageWriter = $languageWriter;
    }

    /**
     * @return TranslationReader
     */
    public function getTranslationReader()
    {
        return $this->translationReader;
    }

    /**
     * @return TranslationWriter
     */
    public function getTranslationWriter()
    {
        return $this->translationWriter;
    }

    /**
     * @return LanguageReader
     */
    public function getLanguageReader()
    {
        return $this->languageReader;
    }

    /**
     * @return LanguageWriter
     */
    public function getLanguageWriter()
    {
        return $this->languageWriter;
    }

}